Bug 8473 - [UPDATE REQUEST 2016.1] postgresql 9.6.6
: [UPDATE REQUEST 2016.1] postgresql 9.6.6
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-11-10 02:22 MSK by Алзим
Modified: 2017-11-20 17:39 MSK (History)
3 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Алзим 2017-11-10 02:22:04 MSK
Доступны корректирующие обновления для всех поддерживаемых веток PostgreSQL: 10.1, 9.6.6, 9.5.10, 9.4.15, 9.3.20 и 9.2.24, в которых представлена порция исправлений ошибок, в том числе устранены проблемы, которые могут привести к повреждению данных. Выпуск обновлений для ветки 9.3 продлится до сентября 2018 г., 9.4 до декабря 2019 г., 9.5 до января 2021 г., 9.6 - до сентября 2021 года, 10 - до октября 2020 года. Ветка 9.2 достигла окончания своего жизненного цикла.

Из исправлений можно выделить серьёзные проблемы с индексами BRIN (не попадание строк в индекс) и логической репликацией, маловероятный крах при обработке вложенных триггеров, крах при редком стечении обстоятельств во время параллельного выполнения одинаковых запросов, проблемы с порядком вывода конструкций GRANT в дампе pg_dump. Кроме исправления ошибок в новых выпусках также устранены три уязвимости:
CVE-2017-12172 - администратор БД может повредить системные файлы, принадлежащие пользователю root, через направления в них лога;
CVE-2017-15098 - утечка содержимого памяти через манипуляцию с функциями JSON;
CVE-2017-15099 - при выполнении "INSERT ... ON CONFLICT DO UPDATE" не учитывалось наличие прав доступа для операции SELECT.
Comment 1 Алзим 2017-11-10 02:23:11 MSK
Updated to 9.6.6
https://abf.io/build_lists/2912150
https://abf.io/build_lists/2912151
Comment 2 s.savelyeva 2017-11-10 19:11:52 MSK
it works
Comment 3 Vladimir Potapov 2017-11-14 19:05:04 MSK
The update is sent to expanded testing
**************************************
Comment 4 Vladimir Potapov 2017-11-20 17:08:38 MSK
postgresql-9.6.6-1
https://abf.io/build_lists/2912150
https://abf.io/build_lists/2912151
********************************** Advisory ****************************
Updated to 9.6.6
************************************************************************
QA Verified